/* 1.3 Lesen Sie eine reelle Zahl ein, geben Sie sie einmal im Standardformat
und einmal mit 10 Zeichen und 2 Nachkommastellen aus!
Subtrahieren Sie dann von der eingelesenen Zahl den Kehrwert und geben Sie das
Ergebnis ebenfalls in verschiedenen Formaten aus!
------------------------------------------------------------------------------*/
#include <stdlib.h>
int main()
{
   float zahl;

   printf("\n Bitte eine reelle Zahl (mit Dezimalpunkt!): ");
   scanf("%f", &zahl);
   printf("\n Standardformat: zahl = %f \n\n", zahl);
   printf("\n Format %%8.3: %8.3f\n\n", zahl);

   zahl = zahl - 1/zahl;

   printf("\n Standardformat: zahl = %f \n\n", zahl);
   printf("\n Format 10.2: %10.2f\n\n", zahl);

      system("PAUSE");
      return 0;
}
